### Function

# Gegl apply_op

#### Declaration [src]

    void
    gegl_apply_op (
      GeglBuffer* buffer,
      const gchar* operation_name,
      ...
    )

#### Description [src]

Apply the operation to buffer, overwritting the contents of buffer.

This function is not directly available to language bindings.

#### Parameters

`buffer`

  Type: `GeglBuffer`

  The `GeglBuffer` to apply onto.

  The data is owned by the caller of the function.

`operation_name`

  Type: `const gchar*`

  Name of the operation to apply.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The settings for the operation. Zero or more key/value pairs, ended terminated with NULL.